Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.personservice.core.v1
Class PhoneticBirth

    java.lang.Object
      be.fgov.ehealth.rn.personservice.core.v1.PhoneticBirth

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class PhoneticBirth

extends Object
implements Serializable

Java class for PhoneticBirth complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PhoneticBirth">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BirthDate" type="{urn:be:fgov:ehealth:rn:commons:business:v1}IncompleteDateType"/>
             <element name="Variation" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedShort">
                 </restriction>
               </simpleType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PhoneticBirth()`

Method Summary
`String` | `getBirthDate()` Gets the value of the birthDate property.
`Integer` | `getVariation()` Gets the value of the variation property.
`void` | `setBirthDate(String value)` Sets the value of the birthDate property.
`void` | `setVariation(Integer value)` Sets the value of the variation property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhoneticBirth

    public PhoneticBirth()

Method Detail

### getBirthDate

    public String getBirthDate()

  Gets the value of the birthDate property.

  Returns:
    possible object is `String`

### setBirthDate

    public void setBirthDate(String value)

  Sets the value of the birthDate property.

  Parameters:
    `value` - allowed object is `String`

### getVariation

    public Integer getVariation()

  Gets the value of the variation property.

  Returns:
    possible object is `Integer`

### setVariation

    public void setVariation(Integer value)

  Sets the value of the variation property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.